/*
 * Copyright (c) 2007, 2009, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: SimpleEndpoint.java 62536 2011-04-15 16:35:14Z af70133 $ 
 */

/* Copyright (c) 2003 Oracle Corporation.  All rights reserved.  */
package com.sun.ts.tests.jaxrpc.sharedwebservices.simpleservice;

import javax.xml.rpc.holders.StringHolder;
import java.rmi.Remote;
import java.rmi.RemoteException;

public interface SimpleEndpoint extends Remote{
    public String helloWorld() throws RemoteException;

    public void oneWayOperation() throws RemoteException;

    public String overloadedOperation(String param) throws RemoteException;

    public String overloadedOperation(String param, String param2) throws RemoteException;

    public String [] arrayOperation() throws RemoteException;

    public SimpleBean getBean() throws RemoteException;

    public String arrayOperationFromClient(String [] array) throws RemoteException;

    public String holderOperation(StringHolder holder1, StringHolder holder2) throws RemoteException;
}
